# $Revision: 1.79 $, $Date: 2009/04/03 19:06:34 $
Summary:	SOAP (Simple Object Access Protocol) implementation in C
Summary(pl.UTF-8):	Implementacja w C SOAP (Simple Object Access Protocol)
Name:		libsoup
Version:	2.26.0
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libsoup/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	9df9d2b3304213641d3214a774d75ee1
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	libproxy-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It provides an queued asynchronous callback-based mechanism for
sending and servicing SOAP requests, and a WSDL (Web Service
Definition Language) to C compiler which generates client stubs and
server skeletons for easily calling and implementing SOAP methods.

%description -l pl.UTF-8
Pakiet dostarcza interfejs kolejkowalnego, asynchronicznego mechanizmu
do wysyłania i serwowania żądań SOAP oraz WSDL (Web Service Definition
Language) dla kompilatora C, który generuje klienckie stub i szkielety
serwerów dla łatwego wywoływania i implementowania metod SOAP.

%package devel
Summary:	Include files etc to develop SOAP applications
Summary(pl.UTF-8):	Pliki nagłówkowe, dokumentacja dla SOAP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.20.0
Requires:	gnutls-devel >= 1.2.5
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files, etc you can use to develop SOAP applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe itp. Jednym słowem wszystko czego potrzebujesz aby
samemu tworzyć sobie aplikacje korzystające z SOAP.

%package static
Summary:	SOAP static libraries
Summary(pl.UTF-8):	Biblioteki statyczne SOAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SOAP static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne SOAP.

%package gnome
Summary:	GNOME specific extensions to libsoup library
Summary(pl.UTF-8):	Rozszerzenia GNOME do biblioteki libsoup
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME specific extensions to libsoup library.

%description gnome -l pl.UTF-8
Rozszerzenia GNOME do biblioteki libsoup.

%package gnome-devel
Summary:	Header files for libsoup-gnome library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsoup-gnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}

%description gnome-devel
Header files for libsoup-gnome library.

%description gnome-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsoup-gnome.

%package gnome-static
Summary:	Static libsoup-gnome library
Summary(pl.UTF-8):	Statyczna biblioteka libsoup-gnome
Group:		Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libsoup-gnome library.

%description gnome-static -l pl.UTF-8
Statyczna biblioteka libsoup-gnome.

%package apidocs
Summary:	libsoup API documentation
Summary(pl.UTF-8):	Dokumentacja API libsoup
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libsoup API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libsoup.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ssl \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	pkgconfigdir=%{_pkgconfigdir} \
	m4datadir=%{_aclocaldir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gnome -p /sbin/ldconfig
%postun	gnome -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libsoup-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-2.4.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-2.4.so
%{_libdir}/libsoup-2.4.la
%{_includedir}/libsoup-2.4
%{_pkgconfigdir}/libsoup-2.4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsoup-2.4.a

%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-gnome-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-gnome-2.4.so.1

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-gnome-2.4.so
%{_libdir}/libsoup-gnome-2.4.la
%{_includedir}/libsoup-gnome-2.4
%{_pkgconfigdir}/libsoup-gnome-2.4.pc

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libsoup-gnome-2.4.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libsoup-2.4

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsoup.spec,v $
Revision 1.79  2009/04/03 19:06:34  megabajt
- release 2

Revision 1.78  2009/03/16 17:35:53  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.77.2.2  2009/02/19 19:38:03  megabajt
- run ldconfig in %post/%postun of -gnome subpackage

Revision 1.77.2.1  2009/02/19 10:25:26  megabajt
- updated to 2.25.91
- added -gnome, -gnome-devel and -gnome-static subpackages

Revision 1.77  2009/01/15 11:23:32  megabajt
- updated to 2.24.3

Revision 1.76  2008/11/25 17:51:32  megabajt
- updated to 2.24.2.1

Revision 1.75  2008/10/22 20:12:49  megabajt
- updated to 2.24.1

Revision 1.74  2008/09/25 14:28:43  megabajt
- updated to 2.24.0.1

Revision 1.73.2.3  2008/09/13 09:33:45  patrys
- 2.23.92

Revision 1.73.2.2  2008/09/04 10:41:01  patrys
- 2.23.91

Revision 1.73.2.1  2008/08/07 14:56:22  patrys
- 2.23.6

Revision 1.73  2008/04/16 13:44:41  sls
- ver. 2.4.1

Revision 1.72  2008-03-10 19:17:28  megabajt
- updated to 2.4.0; merged changes from DEVEL

Revision 1.70.2.3  2008-03-02 10:09:58  megabajt
- updated to 2.3.4
- -static.patch seems to be obsolete

Revision 1.71  2008/02/13 19:07:35  megabajt
- updated to 2.2.105

Revision 1.70.2.2  2008-02-12 20:49:27  megabajt
- updated to 2.3.2 (new soname)

Revision 1.70.2.1  2008-01-29 19:14:17  megabajt
- updated to 2.3.0.1 (new soname)
- removed X11 from Group

Revision 1.70  2008-01-22 21:04:20  hawk
- release 4

Revision 1.69  2008-01-16 07:17:54  arekm
- rel 3

Revision 1.68  2008-01-13 08:26:24  qboosh
- added static patch (fix pkg-config --libs --static)
- more verbose files, ghost soname symlink
- release 2

Revision 1.67  2007-11-27 18:40:23  megabajt
- updated to 2.2.104

Revision 1.66  2007-10-29 22:17:30  megabajt
- updated to 2.2.103

Revision 1.65  2007/10/16 17:15:33  megabajt
- updated to 2.2.102

Revision 1.64  2007/10/05 17:51:42  megabajt
- updated to 2.2.101

Revision 1.63  2007/02/22 16:50:05  megabajt
- updated to 2.2.100

Revision 1.62  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.61  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.60  2007/01/09 17:04:01  megabajt
- md5

Revision 1.59  2007/01/09 17:02:02  megabajt
- up to 2.2.99

Revision 1.58  2006/12/24 14:29:20  megabajt
- up to 2.2.98
- separated -apidocs

Revision 1.57  2006/12/24 02:37:40  czarny
- rebuild for new file + rpm libtool deps

Revision 1.56  2006/07/25 17:58:42  freetz
- 2.2.96, removed LDFLAGS

Revision 1.55  2006/07/13 19:58:29  freetz
- 2.2.95.1, updated deps, --as-needed support

Revision 1.54  2006/06/12 20:03:44  freetz
- 2.2.94, updated BR

Revision 1.53  2006/06/02 21:29:56  freetz
- 2.2.93, forced devel deps

Revision 1.52  2006/05/15 18:43:42  qboosh
- updated files (from AC-branch)

Revision 1.51  2006/05/15 14:45:14  qboosh
- updated to 2.2.92 (following AC-branch)

Revision 1.50  2006/03/11 14:59:47  patrys
- rel up for new libtasn

Revision 1.49  2006/02/20 12:34:34  freetz
- release 3 for rebuild with new gnutls

Revision 1.48  2006/01/22 19:52:53  freetz
- rel.2 for th

Revision 1.47  2005/11/18 17:42:24  freetz
- 2.2.7

Revision 1.46  2005/09/07 16:50:51  freetz
- make use of macros

Revision 1.45  2005/08/22 20:40:27  aflinta
- 2.2.6.1

Revision 1.44  2005/08/22 20:29:27  aflinta
- version 2.2.6

Revision 1.43  2005/08/04 14:41:42  aflinta
- up to version 2.2.5

Revision 1.42  2005/07/11 16:42:21  arekm
BR gnutls >= 1.2.5

Revision 1.41  2005/03/15 09:38:19  paladine
- updated to 2.2.3
- removed outdated gnutls patch
- proper license
- added NEWS to %%doc
- require some new stuff

Revision 1.40  2005/02/02 16:39:52  grzegol
- updated to 2.2.2

Revision 1.39  2004/10/07 16:29:28  grzegol
- updated to 2.2.1

Revision 1.38  2004/08/26 21:33:55  grzegol
- updated to 2.2.0

Revision 1.37  2004/08/15 10:25:26  aflinta
- up to version 2.1.13

Revision 1.36  2004/07/20 12:07:25  grzegol
- updated to 2.1.12

Revision 1.35  2004/06/04 18:20:43  aflinta
- up to version 2.1.11

Revision 1.34  2004/05/21 12:02:24  grzegol
- updated to 2.1.10

Revision 1.33  2004/05/07 12:40:21  qboosh
- BR+R libxml2-devel

Revision 1.32  2004/04/19 11:22:26  krzak
- rel 3

Revision 1.31  2004/04/19 07:24:39  krzak
- rel 2 to rebuild with new gnutls

Revision 1.30  2004/04/05 22:24:42  grzegol
- updated to 2.1.9

Revision 1.29  2004/04/03 15:48:59  grzegol
- merged 2.1.8 from DEVEL

Revision 1.28  2004/03/19 10:19:50  tiwek
- build and works

Revision 1.27  2004/03/19 09:19:27  tiwek
- starting upgrade to 1.99.28

Revision 1.26  2004/02/24 10:31:08  qboosh
- updated gnutls patch for gnutls 1.0.6, more strict deps; release 7

Revision 1.25  2004/02/24 07:25:46  tiwek
- release++ to rebuild with new libgcrypt

Revision 1.24  2004/01/30 10:23:38  averne
- release 5 to rebuild with new gnutls, which wasn't upgraded on builders

Revision 1.23.2.12  2004/04/01 07:34:43  grzegol
- rel. 3 to rebuild with gnutls-1.0.9

Revision 1.23.2.11  2004/03/17 14:35:32  wrobell
- rel. 2 to rebuild with new gcrypt on nest builders

Revision 1.23.2.10  2004/03/06 11:45:52  grzegol
- updated to 2.1.8
- added --enable-libgpg-error

Revision 1.23.2.9  2004/02/22 15:05:06  grzegol
- added gnutls patch (fixes build with gnutls-1.0.6)
- rel. 2 to rebuild with libgcrypt-1.1.92

Revision 1.23.2.8  2004/02/11 16:59:45  grzegol
- updated to 2.1.7
- switched to http source

Revision 1.23.2.7  2004/02/10 00:44:15  grzegol
- updated to 2.1.6

Revision 1.23.2.6  2004/01/27 10:15:57  trojan
- updated to 2.1.5
- removed outdated patch

Revision 1.23.2.5  2004/01/12 19:02:35  grzegol
- updated to 2.1.4

Revision 1.23.2.4  2003/12/29 20:45:06  grzegol
- updated to 2.1.3

Revision 1.23.2.3  2003/12/28 12:49:43  grzegol
- updated to 2.1.2-20031227 snap
- removed outdated gsize patch
- added glib-gettextize and intltoolize

Revision 1.23.2.2  2003/12/12 14:59:39  wiget
- fix guint/gsize problem

Revision 1.23.2.1  2003/12/08 23:31:57  wiget
- 2.1.2

Revision 1.23  2003/12/08 14:16:39  grzegol
- rel. 4 to rebuild with gnutls-1.0.0

Revision 1.22  2003/11/22 13:24:13  krzak
- gnutls.patch - fix build with rescent gnutls
- rel 3

Revision 1.21  2003/10/22 09:07:06  qboosh
- updated deps for using gnutls (preferred by configure, used directly)

Revision 1.20  2003/10/15 13:41:12  tiwek
- use gnutls instead openssl.
- works

Revision 1.19  2003/09/30 20:18:25  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/25 09:02:03  trojan
- updated to 1.99.26

Revision 1.17  2003/07/10 08:05:08  qboosh
- -devel R: glib2-devel

Revision 1.16  2003/06/09 20:16:27  wiget
- updated to 1.99.23

Revision 1.15  2003/05/26 15:41:04  wiget
- updated to 1.99.22, NOW

Revision 1.14  2003/05/26 15:27:41  wiget
- updated to 1.99.22

Revision 1.13  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.12  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/08 11:48:06  wiget
- updated to released 1.99.20
- no docs in this version

Revision 1.10  2003/04/25 21:25:43  grzegol
- updated to 1.99.18-20030425 snap

Revision 1.9  2003/04/18 20:50:58  grzegol
- updated to 20030418 snap

Revision 1.8  2003/04/13 00:23:20  grzegol
- updated to 1.99.17-20030412 snap

Revision 1.7  2003/04/05 21:01:04  grzegol
- updated to 20030405 snap

Revision 1.6  2003/03/29 21:26:59  grzegol
- updated to 1.99.16-20030329 snap

Revision 1.5  2003/03/23 23:33:42  grzegol
- updated to 1.99.15-20030223 snap

Revision 1.4  2003/03/15 21:40:11  grzegol
- updated to 1.99.14-20030315 snap

Revision 1.3  2003/03/07 22:29:40  grzegol
- updated to 1.99.12-20030307 snap

Revision 1.2  2003/02/22 23:12:04  grzegol
- updated to 20030223 snap

Revision 1.1  2003/02/14 15:05:14  grzegol
- new
